import { TailwindStyledComponentProps, ComponentWithAs } from '@paalan/react-shared/types';
import { ReactNode } from 'react';

interface BoxProps extends TailwindStyledComponentProps {
}
declare const Box: ComponentWithAs<'div', BoxProps>;

interface HeadingProps extends BoxProps {
    children: ReactNode;
    as?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
}
declare const Heading: ComponentWithAs<'h1', HeadingProps>;

interface TextProps extends BoxProps {
    children: ReactNode;
}
declare const Text: ComponentWithAs<'p', TextProps>;

export { type BoxProps as B, type HeadingProps as H, type TextProps as T, Box as a, Heading as b, Text as c };
