'use client';
"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/components/Accordion/index.ts
var Accordion_exports = {};
__export(Accordion_exports, {
  Accordion: () => Accordion,
  AccordionContent: () => AccordionContent,
  AccordionItem: () => AccordionItem,
  AccordionRoot: () => AccordionRoot,
  AccordionTrigger: () => AccordionTrigger
});
module.exports = __toCommonJS(Accordion_exports);

// src/components/Accordion/Accordion.tsx
var React = __toESM(require("react"), 1);
var import_react_icons = require("@paalan/react-icons");
var import_lib = require("@paalan/react-shared/lib");
var AccordionPrimitive = __toESM(require("@radix-ui/react-accordion"), 1);
var import_jsx_runtime = require("react/jsx-runtime");
var AccordionRoot = AccordionPrimitive.Root;
var AccordionItem = React.forwardRef(({ className, ...props }, ref) => {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(AccordionPrimitive.Item, { ref, className: (0, import_lib.cn)("border-b", className), ...props });
});
AccordionItem.displayName = "AccordionItem";
var AccordionTrigger = React.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(AccordionPrimitive.Header, { className: "flex", children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
  AccordionPrimitive.Trigger,
  {
    ref,
    className: (0, import_lib.cn)(
      "flex flex-1 items-center justify-between py-4 text-sm font-medium transition-all hover:underline [&[data-state=open]>svg]:rotate-180",
      className
    ),
    ...props,
    children: [
      children,
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_react_icons.ChevronDownIcon, { className: "size-4 shrink-0 text-muted-foreground transition-transform duration-200" })
    ]
  }
) }));
AccordionTrigger.displayName = AccordionPrimitive.Trigger.displayName;
var AccordionContent = React.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
  AccordionPrimitive.Content,
  {
    ref,
    className: (0, import_lib.cn)(
      "overflow-hidden text-sm data-[state=closed]:animate-accordion-up data-[state=open]:animate-accordion-down",
      className
    ),
    ...props,
    children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { className: "pb-4 pt-0", children })
  }
));
AccordionContent.displayName = AccordionPrimitive.Content.displayName;
var Accordion = ({ items, ...props }) => {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(AccordionRoot, { ...props, children: items.map((item) => /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(AccordionItem, { value: item.value, children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(AccordionTrigger, { children: item.title }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(AccordionContent, { children: item.content })
  ] }, item.value)) });
};
Accordion.displayName = "Accordion";
