'use client';
"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/components/Menubar/Menubar.tsx
var Menubar_exports = {};
__export(Menubar_exports, {
  Menubar: () => Menubar,
  MenubarCheckboxItem: () => MenubarCheckboxItem,
  MenubarContent: () => MenubarContent,
  MenubarGroup: () => MenubarGroup,
  MenubarItem: () => MenubarItem,
  MenubarLabel: () => MenubarLabel,
  MenubarMenu: () => MenubarMenu,
  MenubarMenuCheckboxItem: () => MenubarMenuCheckboxItem,
  MenubarMenuItem: () => MenubarMenuItem,
  MenubarMenuItems: () => MenubarMenuItems,
  MenubarMenuRadioItem: () => MenubarMenuRadioItem,
  MenubarPortal: () => MenubarPortal,
  MenubarRadioGroup: () => MenubarRadioGroup,
  MenubarRadioItem: () => MenubarRadioItem,
  MenubarRoot: () => MenubarRoot,
  MenubarSeparator: () => MenubarSeparator,
  MenubarShortcut: () => MenubarShortcut,
  MenubarSub: () => MenubarSub,
  MenubarSubContent: () => MenubarSubContent,
  MenubarSubTrigger: () => MenubarSubTrigger,
  MenubarTrigger: () => MenubarTrigger
});
module.exports = __toCommonJS(Menubar_exports);
var React = __toESM(require("react"), 1);
var import_react_icons = require("@paalan/react-icons");
var import_lib = require("@paalan/react-shared/lib");
var MenubarPrimitive = __toESM(require("@radix-ui/react-menubar"), 1);

// src/components/Menubar/helper.ts
var isMenubarMenuSeparator = (menu) => {
  return "separator" in menu;
};
var isMenubarMenuCheckbox = (menu) => {
  return menu.type === "checkbox";
};
var isMenubarMenuRadio = (menu) => {
  return menu.type === "radio";
};

// src/components/Menubar/Menubar.tsx
var import_jsx_runtime = require("react/jsx-runtime");
var MenubarMenu = MenubarPrimitive.Menu;
var MenubarGroup = MenubarPrimitive.Group;
var MenubarPortal = MenubarPrimitive.Portal;
var MenubarSub = MenubarPrimitive.Sub;
var MenubarRadioGroup = MenubarPrimitive.RadioGroup;
var MenubarRoot = React.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
  MenubarPrimitive.Root,
  {
    ref,
    className: (0, import_lib.cn)("flex h-9 items-center space-x-1 rounded-md border bg-background p-1 shadow-sm", className),
    ...props
  }
));
MenubarRoot.displayName = MenubarPrimitive.Root.displayName;
var MenubarTrigger = React.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
  MenubarPrimitive.Trigger,
  {
    ref,
    className: (0, import_lib.cn)(
      "flex cursor-default select-none items-center rounded-sm px-3 py-1 text-sm font-medium outline-none focus:bg-accent focus:text-accent-foreground data-[state=open]:bg-accent data-[state=open]:text-accent-foreground",
      className
    ),
    ...props
  }
));
MenubarTrigger.displayName = MenubarPrimitive.Trigger.displayName;
var MenubarSubTrigger = React.forwardRef(({ className, inset, children, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
  MenubarPrimitive.SubTrigger,
  {
    ref,
    className: (0, import_lib.cn)(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[state=open]:bg-accent data-[state=open]:text-accent-foreground",
      inset && "pl-8",
      className
    ),
    ...props,
    children: [
      children,
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_react_icons.ChevronRightIcon, { className: "ml-auto size-4" })
    ]
  }
));
MenubarSubTrigger.displayName = MenubarPrimitive.SubTrigger.displayName;
var MenubarSubContent = React.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
  MenubarPrimitive.SubContent,
  {
    ref,
    className: (0, import_lib.cn)(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      className
    ),
    ...props
  }
));
MenubarSubContent.displayName = MenubarPrimitive.SubContent.displayName;
var MenubarContent = React.forwardRef(({ className, align = "start", alignOffset = -4, sideOffset = 8, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarPrimitive.Portal, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
  MenubarPrimitive.Content,
  {
    ref,
    align,
    alignOffset,
    sideOffset,
    className: (0, import_lib.cn)(
      "z-50 min-w-[12rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      className
    ),
    ...props
  }
) }));
MenubarContent.displayName = MenubarPrimitive.Content.displayName;
var MenubarItem = React.forwardRef(({ className, inset, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
  MenubarPrimitive.Item,
  {
    ref,
    className: (0, import_lib.cn)(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      inset && "pl-8",
      className
    ),
    ...props
  }
));
MenubarItem.displayName = MenubarPrimitive.Item.displayName;
var MenubarCheckboxItem = React.forwardRef(({ className, children, checked, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
  MenubarPrimitive.CheckboxItem,
  {
    ref,
    className: (0, import_lib.cn)(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      className
    ),
    checked,
    ...props,
    children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { className: "absolute left-2 flex size-3.5 items-center justify-center", children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarPrimitive.ItemIndicator, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_react_icons.CheckIcon, { className: "size-4" }) }) }),
      children
    ]
  }
));
MenubarCheckboxItem.displayName = MenubarPrimitive.CheckboxItem.displayName;
var MenubarRadioItem = React.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
  MenubarPrimitive.RadioItem,
  {
    ref,
    className: (0, import_lib.cn)(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      className
    ),
    ...props,
    children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { className: "absolute left-2 flex size-3.5 items-center justify-center", children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarPrimitive.ItemIndicator, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_react_icons.DotFilledIcon, { className: "size-4 fill-current" }) }) }),
      children
    ]
  }
));
MenubarRadioItem.displayName = MenubarPrimitive.RadioItem.displayName;
var MenubarLabel = React.forwardRef(({ className, inset, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
  MenubarPrimitive.Label,
  {
    ref,
    className: (0, import_lib.cn)("px-2 py-1.5 text-sm font-semibold", inset && "pl-8", className),
    ...props
  }
));
MenubarLabel.displayName = MenubarPrimitive.Label.displayName;
var MenubarSeparator = React.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarPrimitive.Separator, { ref, className: (0, import_lib.cn)("-mx-1 my-1 h-px bg-muted", className), ...props }));
MenubarSeparator.displayName = MenubarPrimitive.Separator.displayName;
var MenubarShortcut = ({ className, ...props }) => {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { className: (0, import_lib.cn)("ml-auto text-xs tracking-widest text-muted-foreground", className), ...props });
};
MenubarShortcut.displayname = "MenubarShortcut";
var MenubarMenuCheckboxItem = ({ label, ...props }) => {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarCheckboxItem, { ...props, children: label });
};
var MenubarMenuRadioItem = ({ options, value, ...props }) => {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarRadioGroup, { value, children: options.map(({ label, value: value2 }) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarRadioItem, { value: value2, ...props, children: label }, value2)) });
};
var MenubarMenuItem = ({ label, shortcut, onClick, subMenus, ...props }) => {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(React.Fragment, { children: subMenus?.length ? subMenus.map(({ label: label2, items }, index) => /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(MenubarSub, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarSubTrigger, { children: label2 }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarSubContent, { children: items.map((item, index2) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarMenuItems, { ...item }, index2)) })
  ] }, index)) : /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(MenubarItem, { onClick, ...props, children: [
    label,
    shortcut && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarShortcut, { children: shortcut })
  ] }) });
};
MenubarMenuItem.displayName = "MenubarMenuItem";
var MenubarMenuItems = (props) => {
  if (isMenubarMenuSeparator(props)) {
    const { separator, ...restProps } = props;
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarSeparator, { ...restProps });
  }
  if (isMenubarMenuCheckbox(props)) {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarMenuCheckboxItem, { ...props });
  }
  if (isMenubarMenuRadio(props)) {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarMenuRadioItem, { ...props });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarMenuItem, { ...props });
};
var Menubar = React.forwardRef(({ menus, ...props }, ref) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarRoot, { ref, ...props, children: menus.map(({ label, items }, index) => /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(MenubarMenu, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarTrigger, { children: label }),
  /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarContent, { children: items.map((item, index2) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(MenubarMenuItems, { ...item }, index2)) })
] }, index)) }));
Menubar.displayName = "Menubar";
